package com.bergerkiller.bukkit.nolagg;

import com.bergerkiller.bukkit.nolagg.datapool.PoolBufferData;

import net.minecraft.server.Chunk;
import net.minecraft.server.NibbleArray;

public class ChunkBuffer implements PoolBufferData {
	//Represents a chunk in memory, data is re-used and always referenced to here
	public byte[] b = new byte[32768];
	public NibbleArray g = new NibbleArray(32768, 7);
	public NibbleArray h = new NibbleArray(32768, 7);
	public NibbleArray i = new NibbleArray(32768, 7);
	public void apply(Chunk chunk) {
		chunk.b = this.b;
		chunk.g = this.g;
		chunk.h = this.h;
		chunk.i = this.i;
	}
	public void load(Chunk chunk) {
		this.b = chunk.b;
		this.g = chunk.g;
		this.h = chunk.h;
		this.i = chunk.i;
	}
	
	public int size() {
		return 81950; //add 14 + 4*4 = 30
	}
	
}